Package: org.gradle.api.plugins.quality

## [Java] Enum TargetJdk

- org.gradle.api.plugins.quality.TargetJdk

- Represents the PMD targetjdk property available for PMD < 5.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `VERSION_1_3` |
    `VERSION_1_4` |
    `VERSION_1_5` |
    `VERSION_1_6` |
    `VERSION_1_7` |
    `VERSION_JSP` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getName()`
    `String` | `toString()`
    `static TargetJdk` | `toVersion(Object value)` Represents the PMD targetjdk property available for PMD < 5.0

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### TargetJdk VERSION_1_3

    - #### TargetJdk VERSION_1_4

    - #### TargetJdk VERSION_1_5

    - #### TargetJdk VERSION_1_6

    - #### TargetJdk VERSION_1_7

    - #### TargetJdk VERSION_JSP

  - ### Method Detail

    - #### public String getName()

    - #### @Override public String toString()

    - #### public static TargetJdk toVersion(Object value)

      Represents the PMD targetjdk property available for PMD < 5.0